Summary:        Erasure Code API library written in C with pluggable backends
Name:           liberasurecode
Version:        1.6.3
Release:        2%{?dist}
License:        BSD and CRC32
URL:            https://bitbucket.org/tsg-/liberasurecode/
Source0:        https://github.com/openstack/liberasurecode/archive/refs/tags/%{version}.tar.gz

Patch3000:      liberasurecode-1.0.5-docs.patch
Patch3001:      liberasurecode-1.5.0-ldtest.patch

BuildRequires:  autoconf automake coreutils doxygen findutils gcc libtool make sed zlib-devel

%description
An API library for Erasure Code, written in C. It provides a number of pluggable backends, such as Intel ISA-L library.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       gcc

%description devel
The %{name}-devel package contains libraries and header files for developing applications that use %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -iv
%configure --disable-static --disable-mmi
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%check
%make_build test

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'
find %{buildroot}%{_datadir}/doc -type f -exec chmod a-x {} ';'

%files
%license COPYING
%doc AUTHORS ChangeLog README.md
%{_libdir}/*.so
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/pkgconfig/erasurecode-1.pc
%{_datadir}/doc/liberasurecode/html/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.3-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 14 2023 Shuo Wang <abushwang@tencent.com> - 1.6.3-1
- initial build
